Skip to main content
GET
cURL
Retrieves a charge by its ID. On this endpoint status_code is an integer and the surcharge fields are fee_applied / fee_amount / original_amount.
integer
0 Approved, 4 Blocked, 5 Dishonoured, 6 Errored, 9 Processing.
string
"00" when there is no error.
string
Yes or No.
number
0 when no surcharge.
Returns 404 if the charge doesn’t exist.

Authorizations

Authorization
string
header
required

Basic Authorization header using the Bearer scheme.

Path Parameters

id
string<uuid>
required

Response

200

OK